# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Interface ErrorContent

All Known Implementing Classes:
  ErrorDomain.ErrorCode, ErrorElement

    public interface ErrorContent

Structured error information.

Nested Class Summary
`static class` `ErrorContent.LocationType` Enumerated constants for error location types.

Method Summary
`java.lang.String` `getCodeName()` Return the name of this error, which will be unique within its domain.
`java.lang.String` `getDebugInfo()` Returns debugging information.
`java.lang.String` `getDomainName()` Return the error domain.
`java.lang.String` `getExtendedHelp()` Gets the extended help URI.
`java.lang.String` `getInternalReason()` Gets the internal reason (unlocalized explanation) associated with this ErrorInfo.
`java.lang.String` `getLocation()` Return the location of the error.
`ErrorContent.LocationType` `getLocationType()` Return the type of error location.
`java.lang.String` `getSendReport()` Gets the URI to which a report should be sent when this error is received.

Method Detail

### getDomainName

    java.lang.String getDomainName()

  Return the error domain.

### getCodeName

    java.lang.String getCodeName()

  Return the name of this error, which will be unique within its domain. The value will appear as the content of the `code` element in the XML error format.

### getLocation

    java.lang.String getLocation()

  Return the location of the error.

### getLocationType

    ErrorContent.LocationType getLocationType()

  Return the type of error location. See `ErrorContent.LocationType` for the available values.

### getInternalReason

    java.lang.String getInternalReason()

  Gets the internal reason (unlocalized explanation) associated with this ErrorInfo. The value will appear as the content of the `internalReason` element in the XML error format.

### getExtendedHelp

    java.lang.String getExtendedHelp()

  Gets the extended help URI. This can be used to retrieve a detailed explanation of the error code. The value will appear as the content of the `extendedHelp` element in the XML error format.

### getSendReport

    java.lang.String getSendReport()

  Gets the URI to which a report should be sent when this error is received. The value will appear as the content of the `sendReport` element in the XML error format.

### getDebugInfo

    java.lang.String getDebugInfo()

  Returns debugging information.